# Uses of Class
org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair

Packages that use UnivariatePointValuePair
Package
Description
org.apache.commons.math3.optimization.univariate
Univariate real functions minimum finding algorithms.

## Uses of UnivariatePointValuePair in org.apache.commons.math3.optimization.univariate

Methods in org.apache.commons.math3.optimization.univariate that return UnivariatePointValuePair
Modifier and Type
Method
Description
`protected abstract UnivariatePointValuePair`
BaseAbstractUnivariateOptimizer.`doOptimize()`
Deprecated.
Method for implementing actual optimization algorithms in derived classes.
`protected UnivariatePointValuePair`
BrentOptimizer.`doOptimize()`
Deprecated.
Method for implementing actual optimization algorithms in derived classes.
`UnivariatePointValuePair[]`
UnivariateMultiStartOptimizer.`getOptima()`
Deprecated.
Get all the optima found during the last call to `optimize`.
`UnivariatePointValuePair`
BaseAbstractUnivariateOptimizer.`optimize(int maxEval, UnivariateFunction f, GoalType goalType, double min, double max)`
Deprecated.
Find an optimum in the given interval.
`UnivariatePointValuePair`
BaseAbstractUnivariateOptimizer.`optimize(int maxEval, UnivariateFunction f, GoalType goalType, double min, double max, double startValue)`
Deprecated.
Find an optimum in the given interval, start at startValue.
`UnivariatePointValuePair`
BaseUnivariateOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double min, double max)`
Deprecated.
Find an optimum in the given interval.
`UnivariatePointValuePair`
BaseUnivariateOptimizer.`optimize(int maxEval, FUNC f, GoalType goalType, double min, double max, double startValue)`
Deprecated.
Find an optimum in the given interval, start at startValue.
`UnivariatePointValuePair`
UnivariateMultiStartOptimizer.`optimize(int maxEval, FUNC f, GoalType goal, double min, double max)`
Deprecated.
Find an optimum in the given interval.
`UnivariatePointValuePair`
UnivariateMultiStartOptimizer.`optimize(int maxEval, FUNC f, GoalType goal, double min, double max, double startValue)`
Deprecated.
Find an optimum in the given interval, start at startValue.
Methods in org.apache.commons.math3.optimization.univariate that return types with arguments of type UnivariatePointValuePair
Modifier and Type
Method
Description
`ConvergenceChecker<UnivariatePointValuePair>`
BaseAbstractUnivariateOptimizer.`getConvergenceChecker()`
Deprecated.
Get the convergence checker.
`ConvergenceChecker<UnivariatePointValuePair>`
UnivariateMultiStartOptimizer.`getConvergenceChecker()`
Deprecated.
Get the convergence checker.
Methods in org.apache.commons.math3.optimization.univariate with parameters of type UnivariatePointValuePair
Modifier and Type
Method
Description
`boolean`
SimpleUnivariateValueChecker.`converged(int iteration, UnivariatePointValuePair previous, UnivariatePointValuePair current)`
Deprecated.
Check if the optimization algorithm has converged considering the last two points.
Constructor parameters in org.apache.commons.math3.optimization.univariate with type arguments of type UnivariatePointValuePair
Modifier
Constructor
Description
`protected`
`BaseAbstractUnivariateOptimizer(ConvergenceChecker<UnivariatePointValuePair> checker)`
Deprecated.
``
`BrentOptimizer(double rel, double abs, ConvergenceChecker<UnivariatePointValuePair> checker)`
Deprecated.
The arguments are used implement the original stopping criterion of Brent's algorithm.